Bug 1119302 - missing directory-ownership
Summary: missing directory-ownership
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 13:15 UTC by Björn 'besser82' Esser
Modified: 2016-07-19 11:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:55:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1119288 None None None Never

Internal Links: 1119288

Description Björn 'besser82' Esser 2014-07-14 13:15:50 UTC
Description of problem:

  According to [1] this package should own the follwing dirs to satisfy
  runtime-dependencies of addiotnal selinux-module-pkgs:

    * %{_datadir}/selinux/minimal
    * %{_datadir}/selinux/mls
    * %{_datadir}/selinux/targeted

  But actually they are *NOT* owned by this package.


Version-Release number of selected component (if applicable):

  all releases


How reproducible:

  100%


Actual results:

  Directories are not owned.


Expected results:

  Directories are owned properly.


[1]  https://fedoraproject.org/wiki/SELinux_Policy_Modules_Packaging_Draft#Runtime_Dependencies

Comment 1 Daniel Walsh 2014-07-15 22:49:11 UTC
Those directories are owned by other packages.

 rpm -qf /etc/selinux/targeted/
selinux-policy-targeted-3.13.1-63.fc21.noarch

Comment 2 Jaroslav Reznik 2015-03-03 16:07:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 3 Fedora End Of Life 2016-07-19 11:55:33 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.